//	ResourceManagerInit.cpp
//	----------------------------------------------------------------------------
//	File generated automatically by Niall's AVLib Resource Generator.
//	----------------------------------------------------------------------------

#include "ResourceManager.h"
#include "TextureAtlas.h"
#include "SingleImage.h"
#include "FilePath.h"
#include "Shader.h"
#include "Font.h"


//------------------------------------------------------------------------------
void ResourceManager::initialiseResources()
{
	registerImageFolder(FilePath::getDataFilesDir().getChild(L"images"));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LiberationMono-Regular.ttf"), 40, L"DebugFont")));
	registerSoundFolder(FilePath::getDataFilesDir().getChild(L"sounds"));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic-Regular.otf"), 14, L"SmallFont")));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic-Regular.otf"), 40, L"MedFont")));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic-Regular.otf"), 80, L"BigFont")));
}
